# Database Configuration (AWS RDS)
DB_USER=recipes_user
DB_PASSWORD=recipes_password
DB_NAME=recipes_db
DB_HOST=my-recipes-rds.chw4omcguqv7.eu-central-1.rds.amazonaws.com
DB_PORT=5432

# Email Configuration
SMTP_HOST=smtp.gmail.com
SMTP_PORT=587
SMTP_USER=dvirlabs@gmail.com
SMTP_PASSWORD=agaanrhbbazbdytv
SMTP_FROM=dvirlabs@gmail.com

# Google OAuth
GOOGLE_CLIENT_ID=143092846986-hsi59m0on2c9rb5qrdoejfceieao2ioc.apps.googleusercontent.com
GOOGLE_CLIENT_SECRET=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
GOOGLE_REDIRECT_URI=http://localhost:8000/auth/google/callback
FRONTEND_URL=http://localhost

# Microsoft Entra ID (Azure AD) OAuth
AZURE_CLIENT_ID=db244cf5-eb11-4738-a2ea-5b0716c9ec0a
AZURE_CLIENT_SECRET=Zad8Q~qRBxaQq8up0lLXAq4pHzrVM2JFGFJhHaDp
AZURE_TENANT_ID=consumers
AZURE_REDIRECT_URI=http://localhost:8000/auth/azure/callback

# AWS S3 Backup Configuration
S3_ENDPOINT=https://s3.eu-central-1.amazonaws.com
S3_ACCESS_KEY=1997b1e48a337c0dbe1f7552a08631b5
S3_SECRET_KEY=369694e39fedfedb254158c147171f5760de84fa2346d5d5d5a961f1f517dbc6
S3_BUCKET_NAME=recipes-backups
S3_REGION=eu-central-1

# Automatic Backup Schedule
# Options: test (every 1 minute), daily, weekly, disabled
BACKUP_INTERVAL=weekly

# Frontend API URL - Replace with your EC2 public IP
# This is used by the browser to connect to the backend
API_BASE=http://54.93.173.105:8000
